Built LMS Help Center
API Reference and PlaygroundEnrollments and ProgressCourse Progress

PUT Update enrollment progress

Update module completion status, time spent, or score. Automatically recalculates overall progress percentage.

PUT
/course-enrollments/{id}/progress

Update module completion status, time spent, or score. Automatically recalculates overall progress percentage.

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

id*string

Unique identifier of the enrollment

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/course-enrollments/{id}/progress" \  -H "Content-Type: application/json" \  -d '{    "module_id": "{module_id}",    "completed": true,    "time_spent_seconds": 1,    "score": 1  }'
{  "data": {    "module_id": "{module_id}",    "completed": true,    "summary": {      "enrollment_id": "{enrollment_id}",      "user_id": "{user_id}",      "course_id": "{course_id}",      "status": "string",      "progress_percentage": 0,      "total_modules": 0,      "completed_modules": 0,      "time_spent_minutes": 0,      "enrolled_at": "2019-08-24T14:15:22Z",      "started_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z",      "last_accessed_at": "2019-08-24T14:15:22Z",      "due_date": "2019-08-24T14:15:22Z"    }  },  "meta": {    "updated": true,    "enrollment_id": "{enrollment_id}",    "organization_id": "{organization_id}",    "rls_validated": true,    "progress_recalculated": true  }}